Bug 611769 - Filling AcroForms: Checkboxes are lost
Filling AcroForms: Checkboxes are lost
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: itext (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 09:23 EDT by M. Steinborn
Modified: 2011-06-29 09:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example files needed to reproduce the bug (150.00 KB, application/x-tar)
2010-07-06 09:23 EDT, M. Steinborn
no flags Details

  None (edit)
Description M. Steinborn 2010-07-06 09:23:15 EDT
Created attachment 429774 [details]
Example files needed to reproduce the bug

Description of problem:
When filling AcroForms flattening the resulting pdf, checkboxes are sometimes missing in the resulting pdf.

Version-Release number of selected component (if applicable):
2.1.7

How reproducible:
Always

Steps to Reproduce:

Either:

1. Copy test.pdf and test.fdf to $PWD
2. Run "pdftk test.pdf fill_form test.fdf output test.2.pdf flatten"
3. View "test.2.pdf" with a pdf viewer and compare it with test.pdf. 
   Any pdf viewer should be ok.

or:

1. Copy FillEnabledForm.class and test.pdf to $PWD
2. Run "java -cp .:/usr/share/java/itext-2.1.7.jat FillEnabledForm"
3. View "test.2.pdf" with a pdf viewer and compare it with test.pdf. 
   Any pdf viewer should be ok.


Actual results:
The checkbox is missing in the pdf file test.2.pdf

Expected results:
The checkbox should be shown in the pdf file test.2.pdf

Additional info:
The 2nd reproducer shows that this is an itext bug, not a pdftk bug.
Comment 1 Bug Zapper 2011-06-01 10:37:22 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 09:56:23 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.